<?php 
/**
 * Display the metabox
 */
function awesome_page_tagline() {
	global $post;
	$pagetagline = get_post_meta( $post->ID, 'pagetagline', true );
?>

	<p><label for="pagetagline">Tagine:<br />
	<textarea id="pagetagline" name="pagetagline" cols="45" rows="4"><?php if( $pagetagline ) { echo $pagetagline; } ?></textarea></label></p>
<?php
}

/**
 * Process the custom metabox fields
 */
function save_page_tagline( $post_id ) {
	global $post;	

	if( $_POST ) {
		update_post_meta( $post->ID, 'pagetagline', $_POST['pagetagline'] );
	}
}

// Add action hooks. Without these we are lost
add_action( 'admin_init', 'add_custom_metabox' );
add_action( 'save_post', 'save_page_tagline' );

/**
 * Add meta box
 */
function add_custom_metabox() {
	add_meta_box( 'custom-metabox', __( 'Page Tagline' ), 'awesome_page_tagline', 'page', 'normal', 'high' );
}


/**
 * Get and return the values for the URL and description
 */
function get_page_tagline() {
	global $post;
	$pagetagline = get_post_meta( $post->ID, 'pagetagline', true );

	return array( $urllink, $pagetagline );
}

// get the array of data
$pagetagline = get_page_tagline();

echo $pagetagline[0]; // echo out the url description of a post


// How to display in page template:

// $pagetagline = get_post_meta( $post->ID, 'pagetagline', true ); if($pagetagline) { ?>
	<?php // echo get_post_meta( $post->ID, 'pagetagline', true ); ?>
<?php // } ?>